Get Backup Zone Usage
Get bandwidth/transfer usage totals for a zone linked to a critical backup job over a given period.
curl -X GET "https://api.5centscdn.com/v2/cb/42/zone/2102/usage?r=2024-09%2Fdaily" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/cb/42/zone/2102/usage?r=2024-09%2Fdaily"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/cb/42/zone/2102/usage?r=2024-09%2Fdaily", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/cb/42/zone/2102/usage?r=2024-09%2Fdaily", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/cb/42/zone/2102/usage?r=2024-09%2Fdaily')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"lines": [],
"aggs": {
"checks": "1024",
"deletes": "3",
"renames": "1",
"errors": "0",
"transfers": "128",
"bytes": "53687091200"
}
}
GET
/cb/{backupid}/zone/{zoneid}/usageGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
backupidinteger
RequiredCritical Backup job ID
path
zoneidinteger
RequiredID of the CDN zone linked to the backup
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Query Parameters
rstring
RequiredExample:
2024-09/dailyResponses
linesstring[]
Time-series usage data points for the requested period.
aggsobject
Aggregated totals for the requested period.
Was this page helpful?